return {
	"nvimtools/none-ls.nvim",
	config = function()
		local null_ls = require("null-ls")

		null_ls.setup({
			sources = {
				null_ls.builtins.formatting.stylua,
				null_ls.builtins.formatting.prettier.with({
					extra_args = {
                        "--print-width",
                        "120",
						"--tab-width",
						"4",
						"--bracket-spacing",
						"true",
						"--arrow-parens",
						"avoid",
                        "--jsx-single-quote",
                        "true",
                        "--trailing-comma",
                        "es5",
                        "--no-semi",
                        "false",
                        "--single-quote",
                        "true",
                        "--bracket-same-line",
                        "true",
                        "--vue-indent-script-and-style",
                        "true"
					},
				}),
				null_ls.builtins.formatting.shfmt,
				null_ls.builtins.diagnostics.eslint,
				null_ls.builtins.formatting.black,
			},
		})
	end,
}
